#version 150 core

uniform mat4 mvp_matrix;
uniform mat4 model_matrix;
uniform mat4 normal_matrix;

in  vec4 in_position;
in  vec3 in_color;
in  vec3 in_normal;
in vec2 in_textureCoordinate;
out vec3 ex_color;
out vec2 ex_textureCoordinate;
out vec3 ex_position;
out vec3 ex_normal;

void main(void)
{
	gl_Position = mvp_matrix * in_position;
	ex_color = in_color;
	ex_textureCoordinate = in_textureCoordinate;
	ex_position = (model_matrix * in_position).xyz;
	ex_normal = normalize((normal_matrix * vec4(in_normal,1)).xyz)*25;
}